Subject: bug#1298: allow 'emacsclient -a "emacs --daemon && emacsclient -c"'

From: Dan Nicolaescu <[email-masked]>
Date: Tue, 18 Nov 2008 15:27:04 -0800 (PST)

Stefan Monnier <[email-masked]> writes:

  > >> I think both are hacks, where my hack has the advantage of requiring no
  > >> changes to the code.  If you want to change the code, than I'd rather we
  > >> do it Right.
  > 
  > > Well, now please don't tease, say what you mean by "do it Right"... 
  > 
  > I guess something that doesn't involve a shell would be a good start.

The the was only used because of using && in the initial example.  Any
suggestions to get around that?

How about something like:

emacsclient --start-daemon 

PS: I was thinking "do it Right" would mean: get rid of emacsclient and
do everything in emacs...